> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/waarderen-en-taxeren/koopsom-api.md).

# Koopsom API

## GET /mx-transaction-finder

> Returns a list of reference objects and their transaction prices.

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"TransactionFinderInput":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date","default":"2026-07-14"},"dateTransport":{"title":"Datetransport","description":"The acceptance date is the date on which you, as a buyer, become the owner of the house.","type":"string","format":"date","nullable":true}},"type":"object","required":["postalCode","houseNumber"],"title":"TransactionFinderInput"},"TransactionFinderResponse":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true},"saleDate":{"title":"Saledate","description":"Sale date","type":"string","format":"date","nullable":true},"transportDate":{"type":"string","format":"date","title":"Transportdate","description":"Transport date"},"transactionDate":{"title":"Transactiondate","description":"Transaction date","type":"string","format":"date","nullable":true},"transactionPrice":{"type":"integer","title":"Transactionprice","description":"Transaction price"},"transactionPriceIndexed":{"type":"integer","title":"Transactionpriceindexed","description":"The price of the transaction, indexed to the valuation date."},"transactionPriceIndexedDateTransport":{"type":"integer","title":"Transactionpriceindexeddatetransport","description":"The price of the transaction, indexed to the transport date."},"transactionPriceIndexedDateSale":{"title":"Transactionpriceindexeddatesale","description":"The price of the transaction, indexed to the sale date.","type":"integer","nullable":true},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"}},"type":"object","required":["postalCode","houseNumber","saleDate","transportDate","transactionPrice","transactionPriceIndexed","transactionPriceIndexedDateTransport","transactionPriceIndexedDateSale","valuationDate"],"title":"TransactionFinderResponse"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/mx-transaction-finder":{"get":{"description":"Returns a list of reference objects and their transaction prices.","operationId":"transactionFinder","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"},{"description":"Valuation date","required":false,"style":"form","explode":true,"schema":{"type":"string","format":"date","default":"2026-07-14"},"name":"valuationDate","in":"query"},{"description":"The acceptance date is the date on which you, as a buyer, become the owner of the house.","required":false,"style":"form","explode":true,"schema":{"type":"string","format":"date"},"name":"dateTransport","in":"query"}],"responses":{"200":{"description":"TransactionFinderResponse","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"$ref":"#/components/schemas/TransactionFinderResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"type":"string","nullable":true},"params":{"$ref":"#/components/schemas/TransactionFinderInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"additionalProperties":{"type":"string"},"type":"object","nullable":true},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The TransactionFinderResponse object

```json
{"openapi":"3.0.3","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"TransactionFinderResponse":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"title":"Houseletter","description":"House letter","type":"string","nullable":true},"houseNumberExt":{"title":"Housenumberext","description":"House number extension","type":"string","nullable":true},"saleDate":{"title":"Saledate","description":"Sale date","type":"string","format":"date","nullable":true},"transportDate":{"type":"string","format":"date","title":"Transportdate","description":"Transport date"},"transactionDate":{"title":"Transactiondate","description":"Transaction date","type":"string","format":"date","nullable":true},"transactionPrice":{"type":"integer","title":"Transactionprice","description":"Transaction price"},"transactionPriceIndexed":{"type":"integer","title":"Transactionpriceindexed","description":"The price of the transaction, indexed to the valuation date."},"transactionPriceIndexedDateTransport":{"type":"integer","title":"Transactionpriceindexeddatetransport","description":"The price of the transaction, indexed to the transport date."},"transactionPriceIndexedDateSale":{"title":"Transactionpriceindexeddatesale","description":"The price of the transaction, indexed to the sale date.","type":"integer","nullable":true},"valuationDate":{"type":"string","format":"date","title":"Valuationdate","description":"Valuation date"}},"type":"object","required":["postalCode","houseNumber","saleDate","transportDate","transactionPrice","transactionPriceIndexed","transactionPriceIndexedDateTransport","transactionPriceIndexedDateSale","valuationDate"],"title":"TransactionFinderResponse"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.matrixian.com/waarderen-en-taxeren/koopsom-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
